Subject: [Mitbadminton] Want to join MIT badminton club

From: li li <[email-masked]>
Date: Wed, 7 Mar 2012 04:59:03 +0800 (SGT)

Dear sir/ madam,

My name is li li. My husband is current MIT student.  I am very interested in playing badminton and hope that i can join MIT badminton club. I have a few questions wanted to clarify.  Firstly, I have the z center membership, do I still need to pay extra to join the club? Secondly, Is there a coach to teach me if I join, as I really want to improve my badminton skill? Thirdly, I hope that I have chance to participate in the tournament, is it ok for me to join? If it is yes, how many times do I need to practice? fourthly, what is the application process to join the club?

I am looking forward for your reply.

It would be better if u can give me your office phone number, so that I could call u up to clarify some more things if there are.

Thank you very much!

Best, 
Li li